#
# spec file for package python-sphinxcontrib-httpdomain
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-sphinxcontrib-httpdomain
Version:        1.3.0
Release:        6.2
Summary:        Sphinx domain for HTTP APIs
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://bitbucket.org/birkenfeld/sphinx-contrib
Source:         http://pypi.python.org/packages/source/s/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-Sphinx
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This contrib extension, sphinxcontrib.httpdomain provides a Sphinx
domain for describing RESTful HTTP APIs.

You can find the documentation from the following URL:

http://packages.python.org/sphinxcontrib-httpdomain/

%prep
%setup -q -n sphinxcontrib-httpdomain-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Tue Sep 16 2014 tbechtold@suse.com
- update to version 1.3.0:
  * jsonparameter/jsonparam/json became deprecated and split into
    reqjsonobj/reqjson/<jsonobj/<json and reqjsonarr/<jsonarr.
    [issue #55, pull request #72 by Alexander Shorin]
  * Support synopsis (short description in HTTP index), deprecation
    and noindex options for resources.
    [issue #55, pull request #72 by Alexander Shorin]
  * Stabilize order of index items.
    [issue #55, pull request #72 by Alexander Shorin]
  * Added :rst:directive:`http:any` directive and
    http:any role for ANY method.
    [issue #55, pull request #72 by Alexander Shorin]
  * Added :rst:directive:`http:copy` directive and http:copy role
    for COPY method.
    [issue #55, pull request #72 by Alexander Shorin]
  * Added http:header role that also creates reference to the
    related specification.
    [issue #55, pull request #72 by Alexander Shorin]
  * http:statuscode role became to provide references to
    specification sections.
    [issue #55, pull request #72 by Alexander Shorin]
  * Fixed Python 3 incompatibility of autohttp.tornado.
    [pull request #61 by Dave Shawley]
* Tue Jun 24 2014 dmueller@suse.com
- update to 1.2.1:
  * Six support
* Mon Oct 21 2013 dmueller@suse.com
- update to 1.2.0:
  * Add tornado support
* Thu Aug  8 2013 dmueller@suse.com
- update to 1.1.9:
  * Add sphinx.ext.autodoc-style HTTP API reference builder (from Bottle)
* Mon May 13 2013 dmueller@suse.com
- update to 1.1.8:
  * Added better support for docstrings in flask.views.MethodView
  * Added jsonparameter along side form and query parameters.
  * Fixed issue with undefined Value and umethod variables.
  * Now http Pygments lexer can Handle continuous header lines well.
  * Added undoc-blueprints flag option to autoflask directive.
  * Fixed issue #29, a bug that autoflask directive raised
  UnicodeDecodeError when it contains non-ASCII characters.
  * Added endpoints flag option to autoflask directive.
* Thu Nov 15 2012 saschpe@suse.de
- Initial version
